RawSquareFreeIdeal.h File Reference
`#include <ostream>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | RawSquareFreeIdeal
| A bit packed square free ideal placed in a pre-allocated buffer. More...
class | RawSquareFreeIdeal::const_iterator
| const_iterator doesn't have all it needs to be a proper STL iterator. More...
class | RawSquareFreeIdeal::iterator
| iterator doesn't have all it needs to be a proper STL iterator. More...

## Functions

RawSquareFreeIdeal * | newRawSquareFreeIdeal (size_t varCount, size_t capacity)
| Allocates object with enough memory for capacity generators in varCount variables.
RawSquareFreeIdeal * | newRawSquareFreeIdeal (const RawSquareFreeIdeal &ideal)
| Allocates a copy of ideal with no extra capacity.
RawSquareFreeIdeal * | newRawSquareFreeIdealParse (const char *str)
| Allocates and returns an ideal based on str.
void | deleteRawSquareFreeIdeal (RawSquareFreeIdeal *ideal)
| Deallocates memory returned by newRawSquareFreeIdeal().
ostream & | operator<< (ostream &out, const RawSquareFreeIdeal &ideal)

## Function Documentation

## deleteRawSquareFreeIdeal()

void deleteRawSquareFreeIdeal | ( | RawSquareFreeIdeal * | ideal | ) |

Deallocates memory returned by newRawSquareFreeIdeal().

## newRawSquareFreeIdeal() [1/2]

RawSquareFreeIdeal * newRawSquareFreeIdeal | ( | const RawSquareFreeIdeal & | ideal | ) |

Allocates a copy of ideal with no extra capacity.

Definition at line 807 of file RawSquareFreeIdeal.cpp.

## newRawSquareFreeIdeal() [2/2]

RawSquareFreeIdeal * newRawSquareFreeIdeal | ( | size_t | varCount,
|  | size_t | capacity )

Allocates object with enough memory for capacity generators in varCount variables.

Pointer must be deallocated using deleteRawSquareFreeIdeal.

Definition at line 797 of file RawSquareFreeIdeal.cpp.

## newRawSquareFreeIdealParse()

RawSquareFreeIdeal * newRawSquareFreeIdealParse | ( | const char * | str | ) |

Allocates and returns an ideal based on str.

The returned ideal must be deallocated using deleteRawSquareFreeIdeal. str is parsed with a generator on each line as parsed by newTermParse. Results are undefined if str does not have that format.

The parsing is inefficient and is intended for constructing ideals in testing.

Definition at line 819 of file RawSquareFreeIdeal.cpp.

## operator<<()

ostream & operator<< | ( | ostream & | out,
|  | const RawSquareFreeIdeal & | ideal )

inline

Definition at line 345 of file RawSquareFreeIdeal.h.